PAT biserver plugin

19 views
Skip to first unread message

Paul Stöllberger

unread,
Jan 18, 2010, 6:38:42 AM1/18/10
to pentahoanalysistool-users
Again, for all of you who didn't see my tweet about it:

I packaged and released the Milestone 2 Release of the PAT biserver
plugin yesterday:
You can download PAT plugin 0.6 M2 from our googlecode site:
http://pentahoanalysistool.googlecode.com/files/pat-plugin-0.6-M2.zip
you need a recent biserver for it. available at pentaho hudson server:
http://ci.pentaho.com/view/Platform/job/BISERVER-CE/

Just extract the plugin zip and drop it into the pentaho-solutions/
system folder

The pat plugin can now:
a) use automatic same hibernate DB connection as biserver
b) automatically create a new connection + connect to the biserver's
xmla interface (done via reading pentaho-solutions/system/olap/
datasources.xml - <URL> parameter for now)
c) save queries to solution repository using PUC
d) load queries from the solution repository

Feedback / Testing more than welcome. This is only a milestone release
and most probably has some bugs.
Telling us whats not working helps us increasing its stability

-Paul

Paul Stoellberger

unread,
Feb 16, 2010, 9:58:05 AM2/16/10
to rgilchrist, pentahoanalysistool-users, pentahoanal...@googlegroups.com
Hi Rob,

thanks for trying the PAT plugin.
Unfortunately it doesn't work with the 3.5.x versions of the biserver. We had to introduce some plugin infrastructure to the biserver to make it work, which is only available in TRUNK and won't be part of the 3.5 releases.

We expect a new major release of the biserver (3.6 or whatever they'll name it), with the needed code, in March. Doug promised he'll try to have a Release Candidate out in mid-march.
Until then you need to download a SNAPSHOT from ci: http://ci.pentaho.com/view/Platform/job/BISERVER-CE/

We're currently improving the last bits and pieces and then release PAT 0.6

I plan to offer following packages to users:
Standalone:
- PAT 0.6 WAR
- PAT 0.6 + tomcat package

Plugin:
- PAT 0.6 Plugin.zip
- PAT 0.6 Plugin + SNAPSHOT biserver package


This way it will be more convenient for users to test the plugin

-paul


On 16 Feb 2010, at 15:44, rgilchrist wrote:

> Hi Paul
> I have downloaded the PAT plugin and installed it on our Pentaho CE
> server (version 3.5.0), when I goto the User console and log in with
> an admin role (Joe) and then click on File -> New -> New PAT Analysis,
> I get the error
>
> Failed to get a Session ID: Cannot create a Session.
>
>
> I thought this may have been caused by some of the changes I made to
> the configuration of our server, so I downloaded and installed version
> 3.5.2 and get the same error.
>
>
> Cheers
> Rob
>
> On Jan 18, 11:38 am, Paul Stöllberger <paul.stoellber...@aschauer-

rgilchrist

unread,
Feb 16, 2010, 9:44:49 AM2/16/10
to pentahoanalysistool-users
Hi Paul
I have downloaded the PAT plugin and installed it on our Pentaho CE
server (version 3.5.0), when I goto the User console and log in with
an admin role (Joe) and then click on File -> New -> New PAT Analysis,
I get the error

Failed to get a Session ID: Cannot create a Session.


I thought this may have been caused by some of the changes I made to
the configuration of our server, so I downloaded and installed version
3.5.2 and get the same error.


Cheers
Rob

On Jan 18, 11:38 am, Paul Stöllberger <paul.stoellber...@aschauer-
edv.at> wrote:

rgilchrist

unread,
Feb 17, 2010, 4:50:53 AM2/17/10
to pentahoanalysistool-users
Hi Paul
Thanks for quick reply.

I am quite happy to wait for the next major release of biserver to use
the PAT plugin. But incase you are interested, I tried downloading the
TRUNK version yesterday and still got the same error (Failed to get
Session ID....) when I clicked on New PAT Analysis.


Cheers
Rob

t...@wamonline.org.uk

unread,
Feb 17, 2010, 9:50:00 AM2/17/10
to pentahoanaly...@googlegroups.com
Hi Rob,

Its not the plugin at fault, its the bi server you are using(assuming you've not grabbed a copy from http://ci.pentaho.com)

Cheers
Tom



On Wed 17/02/10 9:50 AM , rgilchrist rkgil...@gmail.com sent:
--
You received this message because you are subscribed to the Google Groups "pentahoanalysistool-users" group.
To post to this group, send email to pentahoanaly...@googlegroups.com.
To unsubscribe from this group, send email to pentahoanalysistool-users+unsub...@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/pentahoanalysistool-users?hl=en.



Paul Stoellberger

unread,
Feb 18, 2010, 4:59:02 AM2/18/10
to Nilesh Patil, pentahoanaly...@googlegroups.com
Hi,

the current version of the plugin is: pat-plugin-0.6-M4 ( http://pentahoanalysistool.googlecode.com/files/pat-plugin-0.6-M4.zip
Could you try that?

-paul




On 18 Feb 2010, at 07:42, Nilesh Patil wrote:

Hi Paul,

I also facing same issue...

I download BI-Server from http://ci.pentaho.com  biserver-ce-TRUNK-SNAPSHOT-hudson-BISERVER-CE-3921  and Pat plugin pat-plugin-0.6-M2

I copied pat-plugin folder in PentahoSolution/System folder.

Still same error is occured 

Forum link :-

http://forums.pentaho.org/showthread.php?t=74836

Regards,
Nilesh Patil


To unsubscribe from this group, send email to pentahoanalysistoo...@googlegroups.com.

Nilesh Patil

unread,
Feb 18, 2010, 1:42:13 AM2/18/10
to pentahoanaly...@googlegroups.com
Hi Paul,

I also facing same issue...

I download BI-Server from http://ci.pentaho.com  biserver-ce-TRUNK-SNAPSHOT-hudson-BISERVER-CE-3921  and Pat plugin pat-plugin-0.6-M2

I copied pat-plugin folder in PentahoSolution/System folder.

Still same error is occured 

Forum link :-

http://forums.pentaho.org/showthread.php?t=74836

Regards,
Nilesh Patil


On Wed, Feb 17, 2010 at 8:20 PM, <t...@wamonline.org.uk> wrote:
To unsubscribe from this group, send email to pentahoanalysistoo...@googlegroups.com.
Reply all
Reply to author
Forward
0 new messages